Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 189620 - x11-misc/xdg-utils-1.0.2 doesn't need app-text/xmlto
Summary: x11-misc/xdg-utils-1.0.2 doesn't need app-text/xmlto
Status: VERIFIED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High trivial (vote)
Assignee: Freedesktop bugs
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-08-20 17:45 UTC by Arfrever Frehtes Taifersar Arahesis (RETIRED)
Modified: 2009-06-08 04:29 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Arfrever Frehtes Taifersar Arahesis (RETIRED) gentoo-dev 2007-08-20 17:45:23 UTC
x11-misc/xdg-utils-1.0.2 doesn't need app-text/xmlto. It installs correctly even with USE="doc".
Comment 1 Samuli Suominen gentoo-dev 2007-08-20 18:02:45 UTC
Weird, I wonder why it bothers to check for it then..

Anyway, fixed.
Comment 2 Doug Goldstein gentoo-dev 2007-08-20 18:21:13 UTC
if it checks for it, it needs to be in DEPENDS.. It most likely does need it for documentation which is configurable via ./configure.
Comment 3 Arfrever Frehtes Taifersar Arahesis (RETIRED) gentoo-dev 2007-08-20 18:32:42 UTC
That check is broken. I have no /usr/bin/xmlto, but the output of configure is:
checking whether make sets $(MAKE)... yes
checking for a BSD-compatible install... /usr/bin/install -c
checking for xmlto... /usr/bin/xmlto
configure: creating ./config.status
config.status: creating Makefile
config.status: creating scripts/Makefile
config.status: creating tests/Makefile
Comment 4 Doug Goldstein gentoo-dev 2007-08-20 18:45:00 UTC
Yeah I just looked into it, the check is flawed since it just defaults a value when it can't find it to continue on. This is technically wrong. Also the files that would be used by xmlto aren't even shipped in the tarball since the man pages (which is what xmlto is used for) are pre-generated.
Comment 5 Martin Väth 2009-06-07 09:26:13 UTC
May I ask why the xmlto dependency was re-added in xdg-utils-1.0.2-r3?

This is quite inconvenient since xdg-utils is currently the only "basic"
package depending unconditionally on xmlto which in turn has a huge bulk
of dependencies (docbook-xml-dts, docbook-xsl-stylesheets, sgml-common,
build-docbook-catalog, automake-1.5*).

So far, I never had any problems without xmlto, and in accordance with
comment #4 there is no obvious reason why xmlto should be needed at all
for xdg-utils (especially without the doc useflag).
Comment 6 Gilles Dartiguelongue gentoo-dev 2009-06-07 09:32:53 UTC
  31 May 2009; Thomas Anderson <gentoofan23@gentoo.org>
  xdg-utils-1.0.2-r3.ebuild:
  Add missing dependency on app-text/xmlto.

@thomas: please comment.
Comment 7 Thomas Anderson (tanderson) (RETIRED) gentoo-dev 2009-06-07 17:26:57 UTC
I've fixed that.

Sorry for the added dep, it looked to me like it really was needed.
Comment 8 Martin Väth 2009-06-08 04:29:01 UTC
Thanks for the dependency cleanup.